/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\npc\hireables\HirePaladin.cs
Lines of code: 76
***********************************************************/


using System; 
using System.Collections;
using System.Collections.Generic;
using Server.Items; 
using Server.ContextMenus; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
    public class HirePaladin : BaseHire 
    { 
        [Constructable] 
        public HirePaladin()
        { 
            SpeechHue = Utility.RandomDyedHue(); 
            Hue = Utility.RandomSkinHue(); 

            if ( this.Female = Utility.RandomBool() ) 
            { 
                Body = 0x191; 
                Name = NameList.RandomName( "female" ); 
            } 
            else 
            { 
                Body = 0x190; 
                Name = NameList.RandomName( "male" ); 
                AddItem( new ShortPants( Utility.RandomNeutralHue() ) ); 
            } 
		Title = "the paladin";
            
		switch( Utility.Random( 5 ) )
		{
			case 0: break;
			case 1: AddItem( new Bascinet() ); break;
			case 2: AddItem( new CloseHelm() ); break;
			case 3: AddItem( new NorseHelm() ); break;
			case 4: AddItem( new Helmet() ); break;

		}
			
			Utility.AssignRandomHair( this );			
			
		

            SetStr( 86, 100 ); 
            SetDex( 81, 100 ); 
            SetInt( 81, 100 ); 

            SetDamage( 10, 23 ); 

            SetSkill( SkillName.Swords, 100, 120 ); 
            SetSkill( SkillName.Anatomy, 100, 120 ); 
            SetSkill( SkillName.MagicResist, 100, 120 ); 
            SetSkill( SkillName.Healing, 100, 120 ); 
            SetSkill( SkillName.Tactics, 100, 120 );  
            SetSkill( SkillName.Parry, 45.0, 60.5 ); 
			SetSkill( SkillName.Chivalry, 110, 120 );

            Fame = 1000; 
            Karma = 15000; 

            AddItem( new Shoes( Utility.RandomNeutralHue() ) ); 
            AddItem( new Shirt()); 
	    AddItem( new VikingSword() );
	    	AddItem( new MetalKiteShield () );
 
          
            AddItem( new PlateChest() );
		AddItem( new PlateLegs() );
		AddItem( new PlateArms() );
		AddItem( new LeatherGorget() );
            PackGold( 20, 100 ); 

        } 
	public override bool ClickTitle{ get{ return false; } }

        public HirePaladin( Serial serial ) : base( serial ) 
        { 
        } 

        public override void Serialize( GenericWriter writer ) 
        { 
            base.Serialize( writer ); 

            writer.Write( (int) 0 ); // version 
        } 

        public override void Deserialize( GenericReader reader ) 
        { 
            base.Deserialize( reader ); 

            int version = reader.ReadInt(); 
        } 
    } 
} 
